/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DataGridColumnDescription } from "./DataGridColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ImageColumnDescription = /*@__PURE__*/ (() => {
    class ImageColumnDescription extends DataGridColumnDescription {
        constructor() {
            super();
            this.fn = null;
            this.fl = null;
            this.fj = null;
            this.fg = null;
            this.fk = null;
            this.fm = null;
        }
        get_type() {
            return "ImageColumn";
        }
        get imageStretchOption() {
            return this.fn;
        }
        set imageStretchOption(a) {
            this.fn = a;
            this.g("ImageStretchOption");
        }
        get editorType() {
            return this.fl;
        }
        set editorType(a) {
            this.fl = a;
            this.g("EditorType");
        }
        get editorDataSourceRef() {
            return this.fj;
        }
        set editorDataSourceRef(a) {
            this.fj = a;
            this.g("EditorDataSourceRef");
        }
        get editorDataSource() {
            return this.fg;
        }
        set editorDataSource(a) {
            this.fg = a;
            this.g("EditorDataSource");
        }
        get editorTextField() {
            return this.fk;
        }
        set editorTextField(a) {
            this.fk = a;
            this.g("EditorTextField");
        }
        get editorValueField() {
            return this.fm;
        }
        set editorValueField(a) {
            this.fm = a;
            this.g("EditorValueField");
        }
    }
    ImageColumnDescription.$t = markType(ImageColumnDescription, 'ImageColumnDescription', DataGridColumnDescription.$);
    ImageColumnDescription.__canMarshalByValue1 = true;
    return ImageColumnDescription;
})();
